//Skybox

textures/ut4_themepark/themepark_skybox
{
	qer_editorimage textures/ut4_themepark/themepark_skybox
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 0.965 75 90 0
	q3map_surfacelight 50
	skyparms textures/ut4_themepark/env/themepark - -
	
}

textures/ut4_themepark/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut4_themepark/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut4_themepark/railing
{
	qer_editor_image textures/ut4_themepark/railing.tga
	qer_trans 0.40
	cull disable
	{
		map textures/ut4_themepark/railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_themepark/water_ripple
{
	qer_editorimage textures/ut4_themepark/water_pool2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/ut4_themepark/water_pool1.tga
		blendFunc add
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcMod turb -.3 -.25 0 .1
	}
	{ 
		map textures/ut4_themepark/water_pool2.tga
		blendFunc add
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcMod turb .3 .25 0 -.1
	}
	{
		map $lightmap
		rgbGen identity
		alphagen oneminusvertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_themepark/water_rippleb
{
	qer_editorimage textures/ut4_themepark/water_pool2b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/ut4_themepark/water_pool1b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcMod turb -.3 -.25 0 .1
	}
	{ 
		map textures/ut4_themepark/water_pool2b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcMod turb .3 .25 0 -.1
	}
	{
		map $lightmap
		rgbGen identity
		alphagen oneminusvertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_themepark/fountain
{
	qer_editorimage textures/ut4_themepark/fs_rain2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut4_themepark/rain2.tga
		tcMod Scroll .01 -.8
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_themepark/rain.tga
		tcMod Scroll .5 -2.5
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/bush_1
{
	cull none
	qer_editorimage textures/ut4_themepark/bush_1.tga
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    	surfaceparm nomarks	
        nopicmip

	{
		map textures/ut4_themepark/bush_1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}
textures/ut4_themepark/bush_2
{
	cull none
	qer_editorimage textures/ut4_themepark/bush_2.tga
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    	surfaceparm nomarks	
        nopicmip

	{
		map textures/ut4_themepark/bush_2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_themepark/flower-bush
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut4_themepark/flower-bush.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_themepark/glassfx1
{
	qer_editorimage textures/ut4_themepark/glassfx1.tga
	qer_trans 0.5
	surfaceparm nolightmap
	{
		map textures/ut4_themepark/black.tga
		rgbGen identity
	}
	{
		map textures/ut4_themepark/glassfx1.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_themepark/DoorOrnate_q
{
        qer_editorimage textures/ut4_themepark/DoorOrnate_q.tga
	qer_trans 0.75
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/ut4_themepark/DoorOrnate_q.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_themepark/light_ceiling_green
{
	qer_editorimage textures/ut4_themepark/light_ceiling_green.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_green_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_ceiling_yellow
{
	qer_editorimage textures/ut4_themepark/light_ceiling_yellow.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_yellow_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_ceiling_blue
{
	qer_editorimage textures/ut4_themepark/light_ceiling_blue.tga
	q3map_lightimage textures/ut4_themepark/light_ceiling_blue_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_blue_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ut4_themepark/light_ceiling_red
{
	qer_editorimage textures/ut4_themepark/light_ceiling_red.tga
	q3map_lightimage textures/ut4_themepark/light_ceiling_red_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_red_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut4_themepark/light_ceiling_greenneon
{
	qer_editorimage textures/ut4_themepark/light_ceiling_greenneon.tga
	qer_editorimage textures/ut4_themepark/light_ceiling_greenneon_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_greenneon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_greenneon_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_ceiling_yellowneon
{
	qer_editorimage textures/ut4_themepark/light_ceiling_yellowneon.tga
	q3map_lightimage textures/ut4_themepark/llight_ceiling_yellowneon_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_yellowneon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_yellowneon_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_ceiling_blueneon
{
	qer_editorimage textures/ut4_themepark/light_ceiling_blueneon.tga
	q3map_lightimage textures/ut4_themepark/light_ceiling_blueneon_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_blueneon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_blueneon_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ut4_themepark/light_ceiling_redneon
{
	qer_editorimage textures/ut4_themepark/light_ceiling_redneon.tga
	q3map_lightimage textures/ut4_themepark/light_ceiling_redneon_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_redneon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_redneon_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_spot_01d
{
	qer_editorimage textures/ut4_themepark/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_ceiling
{
	qer_editorimage textures/ut4_themepark/light_ceiling.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_ceiling_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_industrial_01d_5k
{
	qer_editorimage textures/ut4_themepark/light_industrial_01d.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_industrial_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_industrial_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/light_industrial_05d
{
	qer_editorimage textures/ut4_themepark/light_industrial_05d.tga
	q3map_surfacelight 3500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_industrial_05d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_themepark/light_industrial_05d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_themepark/mirror1_qb
{
	qer_editorimage textures/ut4_themepark/mirror1_qb.tga
	portal
	surfaceparm nolightmap
	{
		map textures/ut4_themepark/mirror1_qb.tga
		AlphaGen portal 1024
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}
